diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
index 092658b5085547f0851aa7960277d188c8e3fad3..76069088871d112208f4e56448d921f1831b191f 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
@@ -24,6 +24,7 @@ import java.io.ByteArrayInputStream;
 import java.io.FileInputStream;
 import java.io.FileOutputStream;
 import java.io.InputStreamReader;
+import java.io.UnsupportedEncodingException;
 import java.net.URLEncoder;
 import java.util.ArrayList;
 
@@ -92,7 +93,6 @@ public class ConfigureTKS {
     public static String base_dn = null;
     public static String db_name = null;
     public static String secure_conn = null;
-    public static String clone_start_tls = null;
     public static String remove_data = null;
 
     public static String key_type = null;
@@ -191,8 +191,7 @@ public class ConfigureTKS {
         return st;
     }
 
-    public boolean TokenChoicePanel() {
-        boolean st = false;
+    public boolean TokenChoicePanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -203,7 +202,7 @@ public class ConfigureTKS {
         if (token_name.equalsIgnoreCase("internal")) {
             query_string = "p=1" + "&op=next" + "&xml=true" +
                             "&choice=" +
-                    URLEncoder.encode("Internal Key Storage Token") +
+                    URLEncoder.encode("Internal Key Storage Token", "UTF-8") +
                                 "";
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             // parse xml
@@ -216,9 +215,9 @@ public class ConfigureTKS {
             // login to hsm first
             query_string = "p=2" + "&op=next" + "&xml=true" +
                             "&uTokName=" +
-                            URLEncoder.encode(token_name) +
+                            URLEncoder.encode(token_name, "UTF-8") +
                             "&__uPasswd=" +
-                            URLEncoder.encode(token_pwd) +
+                            URLEncoder.encode(token_pwd, "UTF-8") +
                             "";
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             // parse xml
@@ -229,7 +228,7 @@ public class ConfigureTKS {
             // choice with token name now
             query_string = "p=1" + "&op=next" + "&xml=true" +
                             "&choice=" +
-                            URLEncoder.encode(token_name) +
+                            URLEncoder.encode(token_name, "UTF-8") +
                             "";
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             // parse xml
@@ -241,8 +240,7 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean DomainPanel() {
-        boolean st = false;
+    public boolean DomainPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -250,7 +248,7 @@ public class ConfigureTKS {
         String domain_url = "https://" + sd_hostname + ":" + sd_admin_port;
 
         String query_string = "sdomainURL=" +
-                            URLEncoder.encode(domain_url) +
+                            URLEncoder.encode(domain_url, "UTF-8") +
                             "&choice=existingdomain" +
                             "&p=3" +
                             "&op=next" +
@@ -279,18 +277,18 @@ public class ConfigureTKS {
 
     }
 
-    public boolean SecurityDomainLoginPanel() {
+    public boolean SecurityDomainLoginPanel() throws UnsupportedEncodingException {
         String tks_url = "https://" + cs_hostname + ":" + cs_port +
                             "/tks/admin/console/config/wizard" +
                             "?p=5&subsystem=TKS";
 
-        String query_string = "url=" + URLEncoder.encode(tks_url);
+        String query_string = "url=" + URLEncoder.encode(tks_url, "UTF-8");
 
         HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
         String query_string_1 = "uid=" + sd_admin_name +
-                                "&pwd=" + URLEncoder.encode(sd_admin_password) +
-                                "&url=" + URLEncoder.encode(tks_url);
+                                "&pwd=" + URLEncoder.encode(sd_admin_password, "UTF-8") +
+                                "&url=" + URLEncoder.encode(tks_url, "UTF-8");
 
         hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_get_cookie_uri,
                         query_string_1);
@@ -322,15 +320,14 @@ public class ConfigureTKS {
 
     }
 
-    public boolean SubsystemPanel() {
-        boolean st = false;
+    public boolean SubsystemPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=5" + "&op=next" + "&xml=true" +
                         "&subsystemName=" +
-                        URLEncoder.encode(subsystem_name) +
+                        URLEncoder.encode(subsystem_name, "UTF-8") +
                         "&choice=newsubsystem";
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -342,22 +339,20 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean LdapConnectionPanel() {
-        boolean st = false;
+    public boolean LdapConnectionPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=7" + "&op=next" + "&xml=true" +
-                                "&host=" + URLEncoder.encode(ldap_host) +
-                                "&port=" + URLEncoder.encode(ldap_port) +
-                                "&binddn=" + URLEncoder.encode(bind_dn) +
-                            "&__bindpwd=" + URLEncoder.encode(bind_password) +
-                                "&basedn=" + URLEncoder.encode(base_dn) +
-                                "&database=" + URLEncoder.encode(db_name) +
-                                "&display=" + URLEncoder.encode("$displayStr") +
+                                "&host=" + URLEncoder.encode(ldap_host, "UTF-8") +
+                                "&port=" + URLEncoder.encode(ldap_port, "UTF-8") +
+                                "&binddn=" + URLEncoder.encode(bind_dn, "UTF-8") +
+                                "&__bindpwd=" + URLEncoder.encode(bind_password, "UTF-8") +
+                                "&basedn=" + URLEncoder.encode(base_dn, "UTF-8") +
+                                "&database=" + URLEncoder.encode(db_name, "UTF-8") +
+                                "&display=" + URLEncoder.encode("$displayStr", "UTF-8") +
                                 (secure_conn.equals("true") ? "&secureConn=on" : "") +
-                                (clone_start_tls.equals("true") ? "&cloneStartTLS=on" : "") +
                                 (remove_data.equals("true") ? "&removeData=true" : "");
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -371,7 +366,6 @@ public class ConfigureTKS {
     }
 
     public boolean KeyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -425,8 +419,7 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean CertSubjectPanel() {
-        boolean st = false;
+    public boolean CertSubjectPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -438,13 +431,13 @@ public class ConfigureTKS {
 
         String query_string = "p=9" + "&op=next" + "&xml=true" +
                     "&subsystem=" +
-                    URLEncoder.encode(tks_subsystem_cert_subject_name) +
+                    URLEncoder.encode(tks_subsystem_cert_subject_name, "UTF-8") +
                     "&sslserver=" +
-                    URLEncoder.encode(tks_server_cert_subject_name) +
+                    URLEncoder.encode(tks_server_cert_subject_name, "UTF-8") +
                     "&audit_signing=" +
-                    URLEncoder.encode(tks_audit_signing_cert_subject_name) +
+                    URLEncoder.encode(tks_audit_signing_cert_subject_name, "UTF-8") +
                     "&urls=" +
-                    URLEncoder.encode(domain_url) +
+                    URLEncoder.encode(domain_url, "UTF-8") +
                     "";
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -478,20 +471,20 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean CertificatePanel() {
+    public boolean CertificatePanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=10" + "&op=next" + "&xml=true" +
                             "&subsystem=" +
-                            URLEncoder.encode(tks_subsystem_cert_cert) +
+                            URLEncoder.encode(tks_subsystem_cert_cert, "UTF-8") +
                             "&subsystem_cc=" +
                             "&sslserver=" +
-                            URLEncoder.encode(server_cert_cert) +
+                            URLEncoder.encode(server_cert_cert, "UTF-8") +
                             "&sslserver_cc=" +
                             "&audit_signing=" +
-                             URLEncoder.encode(tks_audit_signing_cert_cert) +
+                             URLEncoder.encode(tks_audit_signing_cert_cert, "UTF-8") +
                             "&audit_signing_cc=" +
                             "";
 
@@ -506,16 +499,15 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean BackupPanel() {
-        boolean st = false;
+    public boolean BackupPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=11" + "&op=next" + "&xml=true" +
                             "&choice=backupkey" +
-                            "&__pwd=" + URLEncoder.encode(backup_pwd) +
-                            "&__pwdagain=" + URLEncoder.encode(backup_pwd);
+                            "&__pwd=" + URLEncoder.encode(backup_pwd, "UTF-8") +
+                            "&__pwdagain=" + URLEncoder.encode(backup_pwd, "UTF-8");
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
@@ -547,7 +539,7 @@ public class ConfigureTKS {
             String line = null;
             while ((line = br.readLine()) != null)
                 System.out.println("Error: " + line);
-            int exitVal = proc.waitFor();
+            proc.waitFor();
 
             // verify p12 file
 
@@ -573,7 +565,7 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean AdminCertReqPanel() {
+    public boolean AdminCertReqPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -603,19 +595,19 @@ public class ConfigureTKS {
                             "&cert_request_type=" + "crmf" +
                             "&uid=" + admin_user +
                             "&name=" + admin_user +
-                            "&__pwd=" + URLEncoder.encode(admin_password) +
-                            "&__admin_password_again=" + URLEncoder.encode(admin_password) +
+                            "&__pwd=" + URLEncoder.encode(admin_password, "UTF-8") +
+                            "&__admin_password_again=" + URLEncoder.encode(admin_password, "UTF-8") +
                             "&profileId=" + "caAdminCert" +
                             "&email=" +
-                            URLEncoder.encode(admin_email) +
+                            URLEncoder.encode(admin_email, "UTF-8") +
                             "&cert_request=" +
-                            URLEncoder.encode(admin_cert_request) +
+                            URLEncoder.encode(admin_cert_request, "UTF-8") +
                             "&subject=" +
-                            URLEncoder.encode(agent_cert_subject) +
+                            URLEncoder.encode(agent_cert_subject, "UTF-8") +
                             "&clone=new" +
                             "&import=true" +
                             "&securitydomain=" +
-                            URLEncoder.encode(domain_name) +
+                            URLEncoder.encode(domain_name, "UTF-8") +
                             "";
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -668,15 +660,14 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean UpdateDomainPanel() {
-        boolean st = false;
+    public boolean UpdateDomainPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=14" + "&op=next" + "&xml=true" +
-                            "&caHost=" + URLEncoder.encode(sd_hostname) +
-                            "&caPort=" + URLEncoder.encode(sd_agent_port) +
+                            "&caHost=" + URLEncoder.encode(sd_hostname, "UTF-8") +
+                            "&caPort=" + URLEncoder.encode(sd_agent_port, "UTF-8") +
                             "";
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -689,7 +680,7 @@ public class ConfigureTKS {
         return true;
     }
 
-    public boolean ConfigureTKSInstance() {
+    public boolean ConfigureTKSInstance() throws UnsupportedEncodingException {
         // 0. login to cert db
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
@@ -836,7 +827,7 @@ public class ConfigureTKS {
         }
     }
 
-    public static void main(String args[]) {
+    public static void main(String args[]) throws UnsupportedEncodingException {
         ConfigureTKS ca = new ConfigureTKS();
 
         // set variables
@@ -872,7 +863,6 @@ public class ConfigureTKS {
         StringHolder x_base_dn = new StringHolder();
         StringHolder x_db_name = new StringHolder();
         StringHolder x_secure_conn = new StringHolder();
-        StringHolder x_clone_start_tls = new StringHolder();
         StringHolder x_remove_data = new StringHolder();
 
         // key properties (defaults)
@@ -974,9 +964,6 @@ public class ConfigureTKS {
         parser.addOption("-secure_conn %s #use ldaps port (optional, default is false)", x_secure_conn);
         parser.addOption("-remove_data %s #remove existing data under base_dn (optional, default is false) ",
                 x_remove_data);
-        parser.addOption(
-                "-clone_start_tls %s #use startTLS for cloning replication agreement (optional, default is false)",
-                x_clone_start_tls);
 
         // key and algorithm options (default)
         parser.addOption("-key_type %s #Key type [RSA,ECC] (optional, default is RSA)", x_key_type);
@@ -1085,7 +1072,6 @@ public class ConfigureTKS {
         db_name = x_db_name.value;
         secure_conn = set_default(x_secure_conn.value, "false");
         remove_data = set_default(x_remove_data.value, "false");
-        clone_start_tls = set_default(x_clone_start_tls.value, "false");
 
         key_type = set_default(x_key_type.value, DEFAULT_KEY_TYPE);
         audit_signing_key_type = set_default(x_audit_signing_key_type.value, key_type);
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
index d4df34a39158661fd1b1f3a8794878e6ed286263..366fb57b69639c3d66fc1a91d01573266a9802f7 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
@@ -19,6 +19,7 @@ package com.netscape.pkisilent;
 // --- END COPYRIGHT BLOCK ---
 
 import java.io.ByteArrayInputStream;
+import java.io.UnsupportedEncodingException;
 import java.net.URLEncoder;
 
 import com.netscape.pkisilent.argparser.ArgParser;
@@ -193,8 +194,7 @@ public class ConfigureTPS {
         return st;
     }
 
-    public boolean DomainPanel() {
-        boolean st = false;
+    public boolean DomainPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -204,7 +204,7 @@ public class ConfigureTPS {
         String query_string = "p=3" +
                             "&choice=existingdomain" +
                             "&sdomainURL=" +
-                            URLEncoder.encode(domain_url) +
+                            URLEncoder.encode(domain_url, "UTF-8") +
                             "&op=next" +
                             "&xml=true";
 
@@ -227,18 +227,18 @@ public class ConfigureTPS {
 
     }
 
-    public boolean SecurityDomainLoginPanel() {
+    public boolean SecurityDomainLoginPanel() throws UnsupportedEncodingException {
         String tps_url = "https://" + cs_hostname + ":" + cs_port +
                             "/tps/admin/console/config/wizard" +
                             "?p=3&subsystem=TPS";
 
-        String query_string = "url=" + URLEncoder.encode(tps_url) + "";
+        String query_string = "url=" + URLEncoder.encode(tps_url, "UTF-8") + "";
 
         HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
         String query_string_1 = "uid=" + sd_admin_name +
-                                "&pwd=" + URLEncoder.encode(sd_admin_password) +
-                                "&url=" + URLEncoder.encode(tps_url) +
+                                "&pwd=" + URLEncoder.encode(sd_admin_password, "UTF-8") +
+                                "&url=" + URLEncoder.encode(tps_url, "UTF-8") +
                                 "";
 
         hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_get_cookie_uri,
@@ -269,8 +269,7 @@ public class ConfigureTPS {
 
     }
 
-    public boolean SubsystemPanel() {
-        boolean st = false;
+    public boolean SubsystemPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -279,7 +278,7 @@ public class ConfigureTPS {
         String query_string = "p=5" +
                         "&choice=newsubsystem" +
                         "&subsystemName=" +
-                        URLEncoder.encode(subsystem_name) +
+                        URLEncoder.encode(subsystem_name, "UTF-8") +
                         "&op=next" +
                         "&xml=true";
 
@@ -304,8 +303,6 @@ public class ConfigureTPS {
         px.prettyprintxml();
 
         sleep_time();
-        // TKS choice panel
-        String tks_url = "https://" + tks_hostname + ":" + tks_ssl_port;
         query_string = "p=7" +
                         "&urls=0" +
                         "&op=next" +
@@ -339,20 +336,18 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean LdapAuthConnectionPanel() {
-        // auth db 
-        boolean st = false;
+    public boolean LdapAuthConnectionPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=9" +
                         "&host=" +
-                        URLEncoder.encode(ldap_auth_host) +
+                        URLEncoder.encode(ldap_auth_host, "UTF-8") +
                         "&port=" +
-                        URLEncoder.encode(ldap_auth_port) +
+                        URLEncoder.encode(ldap_auth_port, "UTF-8") +
                         "&basedn=" +
-                        URLEncoder.encode(ldap_auth_base_dn) +
+                        URLEncoder.encode(ldap_auth_base_dn, "UTF-8") +
                         "&op=next" +
                         "&xml=true";
 
@@ -366,27 +361,25 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean LdapConnectionPanel() {
-        boolean st = false;
+    public boolean LdapConnectionPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=10" +
                         "&host=" +
-                        URLEncoder.encode(ldap_host) +
+                        URLEncoder.encode(ldap_host, "UTF-8") +
                         "&port=" +
-                        URLEncoder.encode(ldap_port) +
+                        URLEncoder.encode(ldap_port, "UTF-8") +
                         "&binddn=" +
-                        URLEncoder.encode(bind_dn) +
+                        URLEncoder.encode(bind_dn, "UTF-8") +
                         "&__bindpwd=" +
-                        URLEncoder.encode(bind_password) +
+                        URLEncoder.encode(bind_password, "UTF-8") +
                         "&basedn=" +
-                        URLEncoder.encode(base_dn) +
+                        URLEncoder.encode(base_dn, "UTF-8") +
                         "&database=" +
-                        URLEncoder.encode(db_name) +
+                        URLEncoder.encode(db_name, "UTF-8") +
                         "&display=" +
-                        URLEncoder.encode("") +
                         "&op=next" +
                         "&xml=true";
 
@@ -400,8 +393,7 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean TokenChoicePanel() {
-        boolean st = false;
+    public boolean TokenChoicePanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -413,7 +405,7 @@ public class ConfigureTPS {
         if (token_name.equalsIgnoreCase("internal")) {
             query_string = "p=1" +
                             "&choice=" +
-                            URLEncoder.encode("NSS Certificate DB") +
+                            URLEncoder.encode("NSS Certificate DB", "UTF-8") +
                             "&op=next" +
                             "&xml=true";
 
@@ -428,9 +420,9 @@ public class ConfigureTPS {
             // login to hsm first
             query_string = "p=2" +
                             "&uTokName=" +
-                            URLEncoder.encode(token_name) +
+                            URLEncoder.encode(token_name, "UTF-8") +
                             "&__uPasswd=" +
-                            URLEncoder.encode(token_pwd) +
+                            URLEncoder.encode(token_pwd, "UTF-8") +
                             "&op=next" +
                             "&xml=true";
 
@@ -443,7 +435,7 @@ public class ConfigureTPS {
             // choice with token name now
             query_string = "p=1" +
                             "&choice=" +
-                            URLEncoder.encode(token_name) +
+                            URLEncoder.encode(token_name, "UTF-8") +
                             "&op=next" +
                             "&xml=true";
 
@@ -489,24 +481,24 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean CertSubjectPanel() {
+    public boolean CertSubjectPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=12" +
                     "&sslserver=" +
-                    URLEncoder.encode(tps_server_cert_subject_name) +
+                    URLEncoder.encode(tps_server_cert_subject_name, "UTF-8") +
                     "&sslserver_nick=" +
-                    URLEncoder.encode(tps_server_cert_nickname) +
+                    URLEncoder.encode(tps_server_cert_nickname, "UTF-8") +
                     "&subsystem=" +
-                    URLEncoder.encode(tps_subsystem_cert_subject_name) +
+                    URLEncoder.encode(tps_subsystem_cert_subject_name, "UTF-8") +
                     "&subsystem_nick=" +
-                    URLEncoder.encode(tps_subsystem_cert_nickname) +
+                    URLEncoder.encode(tps_subsystem_cert_nickname, "UTF-8") +
                     "&audit_signing=" +
-                    URLEncoder.encode(tps_audit_signing_cert_subject_name) +
+                    URLEncoder.encode(tps_audit_signing_cert_subject_name, "UTF-8") +
                     "&audit_signing_nick=" +
-                    URLEncoder.encode(tps_audit_signing_cert_nickname) +
+                    URLEncoder.encode(tps_audit_signing_cert_nickname, "UTF-8") +
                     "&urls=0" +
                     "&op=next" +
                     "&xml=true";
@@ -548,8 +540,7 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean AdminCertReqPanel() {
-        boolean st = false;
+    public boolean AdminCertReqPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -580,13 +571,13 @@ public class ConfigureTPS {
         String query_string = "p=14" +
                             "&uid=" + admin_user +
                             "&name=" +
-                            URLEncoder.encode("TPS Administrator") +
+                            URLEncoder.encode("TPS Administrator", "UTF-8") +
                             "&email=" +
-                            URLEncoder.encode(admin_email) +
-                            "&__pwd=" + URLEncoder.encode(admin_password) +
-                            "&__admin_password_again=" + URLEncoder.encode(admin_password) +
+                            URLEncoder.encode(admin_email, "UTF-8") +
+                            "&__pwd=" + URLEncoder.encode(admin_password, "UTF-8") +
+                            "&__admin_password_again=" + URLEncoder.encode(admin_password, "UTF-8") +
                             "&cert_request=" +
-                            URLEncoder.encode(admin_cert_request) +
+                            URLEncoder.encode(admin_cert_request, "UTF-8") +
                             "&display=0" +
                             "&profileId=" + "caAdminCert" +
                             "&cert_request_type=" + "crmf" +
@@ -594,11 +585,11 @@ public class ConfigureTPS {
                             "&uid=" + admin_user +
                             "&clone=0" +
                             "&securitydomain=" +
-                            URLEncoder.encode(domain_name) +
+                            URLEncoder.encode(domain_name, "UTF-8") +
                             "&subject=" +
-                            URLEncoder.encode(agent_cert_subject) +
+                            URLEncoder.encode(agent_cert_subject, "UTF-8") +
                             "&requestor_name=" +
-                            URLEncoder.encode(requestor_name) +
+                            URLEncoder.encode(requestor_name, "UTF-8") +
                             "&sessionID=" + tps_session_id +
                             "&auth_hostname=" + ca_hostname +
                             "&auth_port=" + ca_ssl_port +
@@ -617,7 +608,7 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean AdminCertImportPanel() {
+    public boolean AdminCertImportPanel() throws UnsupportedEncodingException {
         boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
@@ -670,7 +661,7 @@ public class ConfigureTPS {
         String query_string_1 = "p=15" +
                             "&serialNumber=" + admin_serial_number +
                             "&caHost=" +
-                            URLEncoder.encode(ca_hostname) +
+                            URLEncoder.encode(ca_hostname, "UTF-8") +
                             "&caPort=" + ca_admin_port +
                             "&op=next" +
                             "&xml=true";
@@ -685,7 +676,7 @@ public class ConfigureTPS {
         return true;
     }
 
-    public boolean ConfigureTPSInstance() {
+    public boolean ConfigureTPSInstance() throws UnsupportedEncodingException {
         // 0. login to cert db
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
@@ -807,7 +798,7 @@ public class ConfigureTPS {
         return true;
     }
 
-    public static void main(String args[]) {
+    public static void main(String args[]) throws UnsupportedEncodingException {
         ConfigureTPS ca = new ConfigureTPS();
 
         // set variables
diff --git a/pki/base/silent/src/com/netscape/pkisilent/PKISilent.java b/pki/base/silent/src/com/netscape/pkisilent/PKISilent.java
index 705280231f3171071b6d159eb0f7cdad012b9c37..f908324811f57adff8d0ecbbd304bc9e5bbb0111 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/PKISilent.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/PKISilent.java
@@ -22,7 +22,7 @@ public class PKISilent {
 
     static Class<?>[] classes = { ConfigureCA.class, ConfigureDRM.class,
             ConfigureOCSP.class, ConfigureRA.class, ConfigureSubCA.class,
-            ConfigureTKS.class, ConfigureTPS.class, CreateInstance.class, };
+            ConfigureTKS.class, ConfigureTPS.class, };
 
     public static final void main(String[] args) {
         HashMap<String, Method> classMap = new HashMap<String, Method>();
